Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
CoinMpsIO.hpp File Reference
`#include <vector>`
`#include <string>`
`#include "CoinUtilsConfig.h"`
`#include "CoinPackedMatrix.hpp"`
`#include "CoinMessageHandler.hpp"`
`#include "CoinFileIO.hpp"`
Include dependency graph for CoinMpsIO.hpp:

Go to the source code of this file.

## Classes
class | CoinMpsCardReader
| Very simple code for reading MPS data. More...
class | CoinSet
| Very simple class for containing data on set. More...
class | CoinSosSet
| Very simple class for containing SOS set. More...
class | CoinMpsIO
| MPS IO Interface. More...
struct | CoinMpsIO::CoinHashLink

## Macros
#define | COIN_MAX_FIELD_LENGTH 160
#define | MAX_CARD_LENGTH 5 * COIN_MAX_FIELD_LENGTH + 80

## Typedefs
typedef int | COINColumnIndex
| The following lengths are in decreasing order (for 64 bit etc) Large enough to contain element index This is already defined as CoinBigIndex Large enough to contain column index. More...
typedef int | COINRowIndex
| Large enough to contain row index (or basis) More...

## Enumerations
enum | COINSectionType { COIN_NO_SECTION, COIN_NAME_SECTION, COIN_ROW_SECTION, COIN_COLUMN_SECTION, COIN_RHS_SECTION, COIN_RANGES_SECTION, COIN_BOUNDS_SECTION, COIN_ENDATA_SECTION, COIN_EOF_SECTION, COIN_QUADRATIC_SECTION, COIN_CONIC_SECTION, COIN_QUAD_SECTION, COIN_SOS_SECTION, COIN_BASIS_SECTION, COIN_UNKNOWN_SECTION }
enum | COINMpsType { COIN_N_ROW, COIN_E_ROW, COIN_L_ROW, COIN_G_ROW, COIN_BLANK_COLUMN, COIN_S1_COLUMN, COIN_S2_COLUMN, COIN_S3_COLUMN, COIN_INTORG, COIN_INTEND, COIN_SOSEND, COIN_UNSET_BOUND, COIN_UP_BOUND, COIN_FX_BOUND, COIN_LO_BOUND, COIN_FR_BOUND, COIN_MI_BOUND, COIN_PL_BOUND, COIN_BV_BOUND, COIN_UI_BOUND, COIN_LI_BOUND, COIN_BOTH_BOUNDS_SET, COIN_SC_BOUND, COIN_S1_BOUND, COIN_S2_BOUND, COIN_BS_BASIS, COIN_XL_BASIS, COIN_XU_BASIS, COIN_LL_BASIS, COIN_UL_BASIS, COIN_UNKNOWN_MPS_TYPE }

## Functions
void | CoinMpsIOUnitTest (const std::string &mpsDir)
| A function that tests the methods in the CoinMpsIO class. More...
void | CoinConvertDouble (int section, int formatType, double value, char outputValue[24])

## Macro Definition Documentation

#define COIN_MAX_FIELD_LENGTH 160

Definition at line 35 of file CoinMpsIO.hpp.

#define MAX_CARD_LENGTH 5 * COIN_MAX_FIELD_LENGTH + 80

Definition at line 37 of file CoinMpsIO.hpp.

## Typedef Documentation

typedef int COINColumnIndex

The following lengths are in decreasing order (for 64 bit etc) Large enough to contain element index This is already defined as CoinBigIndex Large enough to contain column index.

Definition at line 21 of file CoinMpsIO.hpp.

typedef int COINRowIndex

Large enough to contain row index (or basis)

Definition at line 30 of file CoinMpsIO.hpp.

## Enumeration Type Documentation

enum COINSectionType

Enumerator
COIN_NO_SECTION |
COIN_NAME_SECTION |
COIN_ROW_SECTION |
COIN_COLUMN_SECTION |
COIN_RHS_SECTION |
COIN_RANGES_SECTION |
COIN_BOUNDS_SECTION |
COIN_ENDATA_SECTION |
COIN_EOF_SECTION |
COIN_QUADRATIC_SECTION |
COIN_CONIC_SECTION |
COIN_QUAD_SECTION |
COIN_SOS_SECTION |
COIN_BASIS_SECTION |
COIN_UNKNOWN_SECTION |

Definition at line 39 of file CoinMpsIO.hpp.

enum COINMpsType

Enumerator
COIN_N_ROW |
COIN_E_ROW |
COIN_L_ROW |
COIN_G_ROW |
COIN_BLANK_COLUMN |
COIN_S1_COLUMN |
COIN_S2_COLUMN |
COIN_S3_COLUMN |
COIN_INTORG |
COIN_INTEND |
COIN_SOSEND |
COIN_UNSET_BOUND |
COIN_UP_BOUND |
COIN_FX_BOUND |
COIN_LO_BOUND |
COIN_FR_BOUND |
COIN_MI_BOUND |
COIN_PL_BOUND |
COIN_BV_BOUND |
COIN_UI_BOUND |
COIN_LI_BOUND |
COIN_BOTH_BOUNDS_SET |
COIN_SC_BOUND |
COIN_S1_BOUND |
COIN_S2_BOUND |
COIN_BS_BASIS |
COIN_XL_BASIS |
COIN_XU_BASIS |
COIN_LL_BASIS |
COIN_UL_BASIS |
COIN_UNKNOWN_MPS_TYPE |

Definition at line 56 of file CoinMpsIO.hpp.

## Function Documentation

void CoinMpsIOUnitTest | ( | const std::string & | mpsDir | ) |

A function that tests the methods in the CoinMpsIO class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging. Also, if this method is compiled with optimization, the compilation takes 10-15 minutes and the machine pages (has 256M core memory!)...

void CoinConvertDouble | ( | int | section,
|  | int | formatType,
|  | double | value,
|  | char | outputValue[24]
| ) |  |